# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

%global bundle org.osgi.foundation
%global felixdir %{_javadir}/felix
%global POM %{_mavenpomdir}/JPP.felix-%{bundle}.pom

Name:    felix-osgi-foundation
Version: 1.2.0
Release: %mkrel 8
Summary: Felix OSGi Foundation EE Bundle

Group:   Development/Java
License: ASL 2.0
URL:     http://felix.apache.org
Source0: http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

Requires: java >= 0:1.6.0

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
OSGi Foundation Execution Environment (EE) Classes.

%files
%doc LICENSE
%{felixdir}
%{POM}
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{bundle}-%{version}

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jar
install -pD -T -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{felixdir}/%{bundle}.jar

# pom
install -pD -T -m 644 pom.xml %{buildroot}%{POM}
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
%__cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-8.mga3
+ Revision: 350162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 1.2.0-7.mga2
+ Revision: 192130
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2.0-6.mga1
+ Revision: 92439
- Rebuild after bootstrapping
- imported package felix-osgi-foundation

